## org.apache.taglibs.standard.tag.rt.fmt
Class RequestEncodingTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.taglibs.standard.tag.common.fmt.RequestEncodingSupport
              org.apache.taglibs.standard.tag.rt.fmt.RequestEncodingTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class RequestEncodingTag

extends RequestEncodingSupport

A handler for <requestEncoding> that supports rtexprvalue-based attributes.

Author:
  Jan Luehe
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.fmt.RequestEncodingSupport
`charEncoding, value`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`RequestEncodingTag()`

Method Summary
`void` `setValue(String value)`

Methods inherited from class org.apache.taglibs.standard.tag.common.fmt.RequestEncodingSupport
`doEndTag, release`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestEncodingTag

    public RequestEncodingTag()

Method Detail

### setValue

    public void setValue(String value)
                  throws JspTagException

  Throws:
    `JspTagException`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.